/*
 * Tencent is pleased to support the open source community by making ovCompose available.
 * Copyright (C) 2025 THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// 设置根项目名称为 "ComposeSample"
rootProject.name = "large_hap"
// 启用类型安全项目访问器特性（Type-safe project accessors）
enableFeaturePreview("TYPESAFE_PROJECT_ACCESSORS")


/**
专门管理 Gradle 插件的解析和应用：
影响 plugins {} 块中的插件解析
影响 buildscript {} 块中的插件解析
影响插件版本管理
影响插件仓库配置
只在构建脚本配置阶段生效
 */
pluginManagement {
    repositories {
        mavenLocal()
        maven("https://maven.eazytec-cloud.com/nexus/repository/maven-public/")
        // 引入 Gradle 插件门户（主要用于查找 Gradle 插件）
        gradlePluginPortal()
    }
}


/**
专门管理项目依赖的解析：
影响 dependencies {} 块中的依赖解析
影响 implementation、api、compileOnly 等依赖声明
影响依赖版本管理
影响依赖仓库配置
在整个项目构建过程中生效
 */
dependencyResolutionManagement {
    repositories {
        mavenLocal()
        maven("https://maven.eazytec-cloud.com/nexus/repository/maven-public/")
    }
}

// 包含 composeApp 与 20 个 lib 模块
include(":composeApp")
include(":lib-01")
include(":lib-02")
include(":lib-03")
include(":lib-04")
include(":lib-05")
include(":lib-06")
include(":lib-07")
include(":lib-08")
include(":lib-09")
include(":lib-10")
include(":lib-11")
include(":lib-12")
include(":lib-13")
include(":lib-14")
include(":lib-15")
include(":lib-16")
include(":lib-17")
include(":lib-18")
include(":lib-19")
include(":lib-20")